//****************************************************
//*_____________________Slick________________________*
//****************************************************

textures/mes_shader/SlickNoDamage
{
	qer_editorimage textures/mes_shader/SlickNoDamage.jpg
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}



textures/mes_shader/textureslick
{
surfaceparm solid
surfaceparm nodamage
surfaceparm slick
{
map textures/mes_shader/textureslick.tga
} 
{
map $lightmap
blendfunc filter
}

}


//****************************************************
//*_____________________No_Damage_______________________*
//****************************************************


textures/mes_shader/NoDamage
{
surfaceparm solid
surfaceparm nodamage

{
map textures/mes_shader/NoDamage.tga
} 
{
map $lightmap
blendfunc filter
}

}

//****************************************************
//*______________________Lava________________________*
//****************************************************


textures/mes_shader/liquidlava
{
qer_editorimage textures/mes_shader/liquidlava.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidlava.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidlava.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}



textures/mes_shader/liquidscrab
{
qer_editorimage textures/mes_shader/liquidscrab.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidscrab.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidscrab.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//****************************************************
//*_____________________Water________________________*
//****************************************************


textures/mes_shader/liquidsnake
{
qer_editorimage textures/mes_shader/liquidsnake.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.05 .010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}


//***********************                  *****************//
//_____________WaterFall__________//
//***********************                  *****************//

textures/mes_newshader/chute

{
   qer_editorimage textures/mes_newshader/chute.tga
   surfaceparm noimpact
   surfaceparm water
   surfaceparm nolightmap
   cull none
   {
      map textures/mes_newshader/chute.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      tcmod scroll 0 -2.5 
   }
}

//***********************
//______________WaterCaulk
//***********************

textures/mes_shader/watercaulk
{
qer_editorimage textures/mes_shader/watercaulk.tga
qer_trans 10
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
}


//****************************************************
//*_____________________Grate________________________*
//****************************************************


textures/mes_shader/will_fence_chainlink
{
surfaceparm trans 
cull none
nopicmip

{
map textures/mes_shader/will_fence_chainlink.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}

//****************************************************
//*_____________________End_Message__________________*
//****************************************************


textures/mes_shader/liquidletter
{
qer_editorimage textures/mes_shader/liquidletter.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidletter.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidletter2.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map textures/mes_shader/liquidletter3.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.05 .010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}

//***********************************		********************************//
//_____________________ Lava Basique ____________________//
//***********************************		********************************//

textures/mes_shader/lave_basique
{
		qer_editorimage textures/mes_shader/lava.tga
		qer_trans .5

		surfaceparm lava
		surfaceparm nolightmap

		cull disable
		deformVertexes wave 128 sin 0 1 0 .75
		{
			map textures/mes_shader/lava.tga
			tcMod turb 0.1 0.1 0 0.25
		}
}

//

textures/mes_shader/molten
	{
		qer_editorimage textures/mes_shader/lava01.tga
		q3map_lightimage textures/mes_shader/lava02.tga
		q3map_globaltexture
		qer_trans .5
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm trans		
		q3map_surfacelight 1500
		tessSize 8
		cull disable
		deformVertexes wave 100 sin 0 1 .5 .5
		{
			map textures/mes_shader/lava01.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/lava02.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		
}



//______ Slime _______

textures/mes_shader/liquidslime
{
qer_editorimage textures/mes_shader/liquidslime.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm slime
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidslime.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidslime.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//_____________________Skip___________

textures/mes_shader/skip
{
qer_editorimage textures/mes_shader/laser.tga
qer_nocarve
surfaceparm nonsolid
surfaceparm skip
surfaceparm structural
}

//_____________Nodraw Solid__________

textures/mes_shader/nodraw_solid
{
qer_trans 0.3
surfaceparm nodraw
surfaceparm nomarks
surfaceparm trans
}

//__________________WATERBIS_________

textures/water_test/waterNoDraw
{
	qer_editorimage textures/common/WaterSmall.tga
  	surfaceparm nonsolid
  	surfaceparm trans
  	surfaceparm water
}

//**********	           **************//
//______ Slime2 _______//
//**********	           ************//

textures/mes_shader/liquidslime2
{
qer_editorimage textures/mes_shader/liquidslime2.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm slime
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidslime2.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidslime2.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//***************************************                     ***********************//
//______________________WaterSlime______________//
//**************************************                       ***********************//

textures/mes_shader/WaterSlime
{
qer_editorimage textures/mes_shader/liquidslime2.tga
qer_trans .75
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidslime2.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidslime2.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}

//*********************************	********************//
//____________________ Vitre ____________//
//*********************************	********************//

textures/mes_shader/vitre
{
	qer_editorimage textures/mes_shader/vitre.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm structural
	surfaceparm trans
	qer_trans 0.1
	{
		map textures/mes_shader/vitre.tga
		blendfunc add
		tcGen environment 
	}
}

//*********************************	********************//
//____________________ Clip  ____________//
//*********************************	********************//

textures/mes_shader/clip
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	qer_trans 0.5
}


//*********************************	        *********************//
//____________________Vitre Blue____________//
//*********************************	        *********************//

textures/mes_shader/vitre2
{
	qer_editorimage textures/mes_shader/vitre2.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm structural
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/mes_shader/vitre2.tga
		blendfunc add
		tcGen environment 
	}
}



//******************************	  *********************//
//__________________Vitre Red____________//
//******************************	   *******************//

textures/mes_shader/vitreR
{
	qer_editorimage textures/mes_shader/vitreR.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm structural
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/mes_shader/vitreR.tga
		blendfunc add
		tcGen environment 
	}
}


//*********************************           	********************//
//____________________ Laser ____________//
//*********************************	 ********************//

textures/mes_shader/Laser:q3map
{
   qer_editorimage textures/mes_shader/laser.tga
   surfaceparm nonsolid
   
   {
      map textures/mes_shader/laser.tga
      rgbGen identity
   }

}


//*********************************           	                ********************//
//____________________ NOsolidSKy ____________//
//*********************************	               ********************//

textures/water_test/NosolidSKY
{
    qer_editorimage textures/mes_shader/purplenebula.jpg
    surfaceparm nonsolid
}


//****************************                ******************************//
//_________________ Herbe __________________//
//****************************                *****************************//

textures/mes_shader/grass_a
{
 qer_editorimage textures/mes_shader/grass_a.tga
 q3map_globaltexture
 tessSize 8 // tailles des triangles
 deformVertexes wave 64 sin 0 4 0 0.08 
 surfaceparm alphashadow //considrer la couche alpha du tga, si il n'y en a pas cela ne fonctionnera pas.
//surfaceparm trans possibilit pour les joueurs de traverser la texture.
 cull none // voir la textures des 2 cot

 { //GRASS
 map textures/mes_shader/grass_a.tga
 blendfunc GL_ONE GL_ZERO
 alphafunc GE128
 rgbGen identity
 rgbGen const ( 1.0 1.0 1.0 ) // transparence de l'image sans le noir, si les valeurs sont 1.0 1.0 1.0, la texture ne sera pas transparente, que le noir, ou plutt, la couche alpha le sera.
 depthwrite
 }

 { //LIGHTMAP // activation de la lightmap
 map $lightmap
 rgbGen identity
 blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
 depthFunc equal
 }
}


//****************************	*********************//
//________________ Brouillard ____________//
//****************************	********************//

textures/mes_shader/fog_pgrounds
{
	qer_editorimage textures/ut_pgrounds/fog.tga
	surfaceparm	trans
	qer_trans 0.99
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture

	fogparms ( .250 .250 .250 ) 384

	{
		map textures/ut_pgrounds/fogcloud1.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/ut_pgrounds/fogcloud2.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

//**********		***************//
//______ NEWSlime3 ________//
//**********		***************//

textures/water_sfx/Slime

    {
        qer_editorimage textures/water/pool3d_5.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap

        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    

        { 
            map textures/water/pool3d_5.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }

        { 
            map textures/water/pool3d_6.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }

        { 
            map textures/water/pool3d_3.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }

        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }

}